=== debian/control ===
Source: hvml-dom-ruler
Section: libs
Priority: optional
Maintainer: Vincent Wei <vincent@minigui.org>
Build-Depends: debhelper (>= 11), cmake, libglib2.0-dev, libhvml-purc-dev, hvml-purc-bin
Standards-Version: 4.1.3
Homepage: https://github.com/HVML/DOM-Ruler

Package: hvml-dom-ruler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DOM Ruler is a library to maintain a DOM tree
 DOM Ruler is a library to maintain a DOM tree, lay out and stylize 
 the DOM elements by using CSS (Cascaded Style Sheets). 
 It integrates LibCSS (MIT licensed), LibParserUtils (MIT licensed) 
 and LibWapcaplet (MIT licensed) from open source community.
